Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.doc.element.style
Class OdfGraphicProperties

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.xerces.dom.ElementNSImpl
                          org.odftoolkit.odfdom.dom.element.OdfElement
                              org.odftoolkit.odfdom.dom.element.OdfStylePropertiesBase
                                  org.odftoolkit.odfdom.dom.element.style.OdfGraphicPropertiesElement
                                      org.odftoolkit.odfdom.doc.element.style.OdfGraphicProperties

All Implemented Interfaces:
  Serializable, Cloneable, Element, EventTarget, Node, NodeList, TypeInfo

    public class OdfGraphicProperties

extends OdfGraphicPropertiesElement

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.odftoolkit.odfdom.dom.element.style.OdfGraphicPropertiesElement
`AmbientColor, AnchorPageNumber, AnchorType, Animation, AnimationDelay, AnimationDirection, AnimationRepeat, AnimationStartInside, AnimationSteps, AnimationStopInside, AutoGrowHeight, AutoGrowWidth, BackfaceCulling, BackgroundColor, BackgroundTransparency, BackScale, Blue, Border, BorderBottom, BorderLeft, BorderLineWidth, BorderLineWidthBottom, BorderLineWidthLeft, BorderLineWidthRight, BorderLineWidthTop, BorderRight, BorderTop, CaptionAngle, CaptionAngleType, CaptionEscape, CaptionEscapeDirection, CaptionFitLineLength, CaptionGap, CaptionLineLength, CaptionType, Clip, CloseBack, CloseFront, ColorInversion, ColorMode, Contrast, DecimalPlaces, Depth, DiffuseColor, DrawAspect, EdgeRounding, EdgeRoundingMode, Editable, ELEMENT_NAME, EmissiveColor, EndAngle, EndGuide, EndLineSpacingHorizontal, EndLineSpacingVertical, Fill, FillColor, FillGradientName, FillHatchName, FillHatchSolid, FillImageHeight, FillImageName, FillImageRefPoint, FillImageRefPointX, FillImageRefPointY, FillImageWidth, FillRule, FitToContour, FitToSize, FlowWithText, FrameDisplayBorder, FrameDisplayScrollbar, FrameMarginHorizontal, FrameMarginVertical, Gamma, GradientStepCount, Green, GuideDistance, GuideOverhang, Height, HorizontalPos, HorizontalRel, HorizontalSegments, ImageOpacity, LightingMode, LineDistance, Luminance, Margin, MarginBottom, MarginLeft, MarginRight, MarginTop, MarkerEnd, MarkerEndCenter, MarkerEndWidth, MarkerStart, MarkerStartCenter, MarkerStartWidth, MaxHeight, MaxWidth, MeasureAlign, MeasureVerticalAlign, MinHeight, MinWidth, Mirror, NormalsDirection, NormalsKind, NumberWrappedParagraphs, OleDrawAspect, Opacity, OpacityName, OverflowBehavior, Padding, PaddingBottom, PaddingLeft, PaddingRight, PaddingTop, Parallel, Placing, PrintContent, Protect, Red, RelHeight, RelWidth, Repeat, RunThrough, SecondaryFillColor, Shadow, Shadow3d, ShadowColor, ShadowDraw, ShadowOffsetX, ShadowOffsetY, ShadowOpacity, Shininess, ShowUnit, ShrinkToFit, SpecularColor, StartGuide, StartLineSpacingHorizontal, StartLineSpacingVertical, Stroke, StrokeColor, StrokeDash, StrokeDashNames, StrokeLinecap, StrokeLinejoin, StrokeOpacity, StrokeWidth, SymbolColor, TextareaHorizontalAlign, TextareaVerticalAlign, TextureFilter, TextureGenerationModeX, TextureGenerationModeY, TextureKind, TextureMode, TileRepeatOffset, Unit, VerticalPos, VerticalRel, VerticalSegments, VisibleAreaHeight, VisibleAreaLeft, VisibleAreaTop, VisibleAreaWidth, Width, Wrap, WrapContour, WrapContourMode, WrapDynamicThreshold, WrapInfluenceOnPosition, WrapOption, WritingMode, X, Y`

Fields inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`mOdfDocument`

Fields inherited from class org.apache.xerces.dom.ElementNSImpl
`localName, namespaceURI`

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`OdfGraphicProperties(OdfFileDom _aOwnerDoc)`

Method Summary

Methods inherited from class org.odftoolkit.odfdom.dom.element.style.OdfGraphicPropertiesElement
`createBinaryDataElement, createColumnElement, createColumnSepElement, createListStyleElement, getOdfName`

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfStylePropertiesBase
`hashCode`

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`cloneNode, equals, findFirstChildNode, findNextChildNode, findPreviousChildNode, getAncestorAs, getOdfAttribute, getParentAs, hasOdfAttribute, insertBefore, onInsertNode, onInsertNode, onRemoveNode, onRemoveNode, removeChild, replaceChild, setOdfAttribute, toString`

Methods inherited from class org.apache.xerces.dom.ElementNSImpl
`getBaseURI, getLocalName, getNamespaceURI, getPrefix, getTypeName, getTypeNamespace, isDerivedFrom, setPrefix, setType, setValues`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, item, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getNodeNumber, getNodeValue, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setUserData, setUserData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getChildNodes, getFeature, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasChildNodes, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, setNodeValue, setTextContent, setUserData`

Constructor Detail

### OdfGraphicProperties

    public OdfGraphicProperties(OdfFileDom _aOwnerDoc)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.